Bug 75048 - www/mod_backhand nsswitch problem : nss_dns.so.1 called in default nsswitch.conf but not present on system
Summary: www/mod_backhand nsswitch problem : nss_dns.so.1 called in default nsswitch.c...
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Sean Chittenden
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2004-12-14 10:10 UTC by Rachel Willmer
Modified: 2006-02-21 08:58 UTC (History)
0 users

See Also:


Attachments
patch-mod_backhand.c (338 bytes, application/octet-stream)
2005-11-22 01:40 UTC, scott.wilson
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Rachel Willmer 2004-12-14 10:10:14 UTC
I am attempting to set up mod_backhand to work with Apache 1. Using the byHostname.c provided with the port, it compiles fine. When I run httpd with the byHostname command in httpd.conf, it crashes with the message :

Syntax error on line 116 of /home/apache/conf/httpd.conf:
Shared object "nss_dns.so.1" not found, required by "httpd"

nss_dns.so.1 does not exist anywhere on the system. 

The nsswitch.conf is the default that is created at boot-time if one did not already exist.

Where do I get a copy of this file? What's the implication of just commenting all the lines in nsswitch.conf out?

How-To-Repeat: portinstall www/apache13
portinstall www/mod_backhand
Extract the distfile for mod_backhand, and follow the instructions for including byHostname as a shared module.
Include a line such as 
    BackhandFromSO libexec/byHostname.so byHostname (fraternity)
in httpd.conf
Attempt to start httpd
Comment 1 Gleb Smirnoff freebsd_committer 2004-12-15 10:24:02 UTC
On Tue, Dec 14, 2004 at 10:08:02AM +0000, Rachel Willmer wrote:
R> >Description:
R> I am attempting to set up mod_backhand to work with Apache 1. Using the byHostname.c provided with the port, it compiles fine. When I run httpd with the byHostname command in httpd.conf, it crashes with the message :
R> 
R> Syntax error on line 116 of /home/apache/conf/httpd.conf:
R> Shared object "nss_dns.so.1" not found, required by "httpd"
R> 
R> nss_dns.so.1 does not exist anywhere on the system. 
R> 
R> The nsswitch.conf is the default that is created at boot-time if one did not already exist.
R> 
R> Where do I get a copy of this file? What's the implication of just commenting all the lines in nsswitch.conf out?

This is problem with mod_backhand, not with FreeBSD. You should fix it and
submit a patch to maintainer of port.

Here are examples of patches, that fix this problem in other ports:

	ports/sysutils/gkrellm/files/patch-src::plugins.c
	ports/net/samba3/files/patch-lib_module.c

-- 
Totus tuus, Glebius.
GLEBIUS-RIPN GLEB-RIPE
Comment 2 Mark Linimon freebsd_committer freebsd_triage 2005-02-06 20:04:45 UTC
Responsible Changed
From-To: freebsd-bugs->seanc

Rescue this from the 'misc' category and assign to port maintainer.
Comment 3 scott.wilson 2005-11-22 01:40:43 UTC
As per Glen Smirnoff's advice, here is a patch that corrects this
problem for me on FreeBSD 6.0

-scott
Comment 4 Sean Chittenden freebsd_committer 2006-02-21 08:58:24 UTC
State Changed
From-To: open->closed

Patch tested and applied, closing port.